1. whatsapp_templates
Peach
  • template-messages
    • Send a pre-approved template message
      POST
    • Poll template message status
      GET
    • Poll template messages status
      GET
    • Connect to AI Agent
      POST
    • Send an App message
      POST
  • broadcasts
    • List broadcasts
      GET
    • Launch a broadcast
      POST
    • Poll broadcast status
      GET
    • Get broadcast details
      GET
    • Archive broadcast
      PATCH
    • Cancel broadcast
      PATCH
  • whatsapp_templates
    • List all templates
      GET
    • Create a template
      POST
    • Update template
      PATCH
    • Archive template
      PATCH
    • Pause template
      PATCH
    • Submit template
      PATCH
    • Fetch template details
      GET
  • conversations
    • List messages
      GET
    • List conversations
      GET
    • Update conversation status
      PATCH
    • Agent Assignment
      POST
    • Close Conversation
      POST
  • contacts
    • Create multiple contacts
      POST
    • Update a contact
      PATCH
    • Create a contact
      POST
    • Bulk update communication preferences
      POST
  • orders
    • Create an order
    • Find order by ID
    • Create a refund for an order
  • medias
    • About uploaded media
    • List available medias
    • Add a media (Deprecated)
    • Remove a media
    • Create a direct upload for media
    • Finalize a direct uploaded media
  • webhooks
    • Order status webhooks
    • Flow execution status webhooks
    • Message delivery status webhooks
    • AI Agent Execution Webhooks
  • Schemas
    • Schemas
      • WhatsApp Template
      • WhatsApp Template Parameters
      • Order
      • RefundRequest
      • Contact
      • LineItem
      • OrderExpiry
      • TemplateMessage
      • AnyValue
      • Argument
      • Message
      • MessageResponse
  1. whatsapp_templates

Update template

PATCH
/api/v1/whats_app_templates/{id}

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Path Params

Body Params application/json

Example
{
  "whats_app_template": {
    "template_name": "Test Template",
    "language": "en",
    "category": "MARKETING",
    "purpose": "general",
    "whats_app_business_account_id": "waba_ext_123",
    "components_attributes": [
      {
        "component_type": "body",
        "data_type": "text",
        "value": "Hello {{subscriber.name | fallback: \"there\" | example: \"John\"}}, this is a test message.",
        "index": 0
      },
      {
        "component_type": "header",
        "data_type": "image",
        "index": 0
      },
      {
        "component_type": "footer",
        "data_type": "text",
        "value": "Reply STOP to unsubscribe",
        "index": 1
      },
      {
        "component_type": "buttons",
        "sub_type": "url",
        "name": "Visit Website",
        "value": "https://example.com",
        "index": 2
      }
    ]
  }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/api/v1/whats_app_templates/wt_template_id_1' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "whats_app_template": {
    "template_name": "Test Template",
    "language": "en",
    "category": "MARKETING",
    "purpose": "general",
    "whats_app_business_account_id": "waba_ext_123",
    "components_attributes": [
      {
        "component_type": "body",
        "data_type": "text",
        "value": "Hello {{subscriber.name | fallback: \"there\" | example: \"John\"}}, this is a test message.",
        "index": 0
      },
      {
        "component_type": "header",
        "data_type": "image",
        "index": 0
      },
      {
        "component_type": "footer",
        "data_type": "text",
        "value": "Reply STOP to unsubscribe",
        "index": 1
      },
      {
        "component_type": "buttons",
        "sub_type": "url",
        "name": "Visit Website",
        "value": "https://example.com",
        "index": 2
      }
    ]
  }
}'

Responses

🟢200Success
application/json
Body

Example
{
  "id": "wat_abcd1234",
  "template_name": "WhatsApp Template",
  "name": "WhatsApp Template",
  "system_name": "whatsapp_template",
  "language": "en",
  "category": "MARKETING",
  "folder": "",
  "status": "approved",
  "reason": null,
  "purpose": "general",
  "whats_app_business_account_id": 1,
  "user": {
    "id": 1,
    "name": "John Doe",
    "email": "johndoe@example.com",
    "phone_number": "+919988776655",
    "time_zone": "Kolkata"
  },
  "components": [
    {
      "type": "HEADER",
      "format": "IMAGE",
      "example": {
        "header_handle": [
          "https://storage.googleapis.com/..."
        ]
      }
    },
    {
      "type": "BODY",
      "text": "Hello {{1}}, use code {{2}} for a discount!",
      "example": {
        "body_text": [
          [
            "Jane",
            "PEACH20"
          ]
        ]
      }
    },
    {
      "type": "BUTTONS",
      "buttons": [
        {
          "type": "URL",
          "text": "Shop Now",
          "url": "https://..."
        },
        {
          "type": "QUICK_REPLY",
          "text": "Stop Promos"
        }
      ]
    }
  ],
  "placeholders": [
    "1",
    "2"
  ],
  "liquid_values": [
    "subscriber.first_name",
    "campaign.coupon_code"
  ],
  "created_at": "2026-02-06T06:53:28.426Z",
  "updated_at": "2026-02-06T06:56:21.069Z"
}
Modified at 2026-04-21 12:14:00
Previous
Create a template
Next
Archive template
Built with